### Signal

# Gtk IconView::activate-cursor-item

#### Declaration

    gboolean
    activate_cursor_item (
      GtkIconView self,
      gpointer user_data
    )

#### Description [src]

A [keybinding signal][GtkSignalAction] which gets emitted when the user activates the currently focused item.

Applications should not connect to it, but may emit it with g_signal_emit_by_name() if they need to control activation programmatically.

The default bindings for this signal are Space, Return and Enter.

Default handler: | The default handler is called after the handlers added via `g_signal_connect()`.
The signal can be emitted directly

#### Return value

Returns: | `gboolean`
| No description available.